gsw_thermobaric {gsw} | R Documentation

## Thermobaric coefficient (75-term equation)

### Description

Thermobaric coefficient (75-term equation)

### Usage

    gsw_thermobaric(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

thermobaric coefficient wrt Conservative Temperature [ 1/(K Pa) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_thermobaric.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    tb <- gsw_thermobaric(SA, CT, p)
    expect_equal(tb*1e11, c(0.152618598186650, 0.153662896162852, 0.173429325875738,
                          0.232810160208414, 0.251984724005424, 0.266660342289558))

[Package gsw version 1.0-5 Index]